### Method

# WebKit FaviconDatabase get_favicon_finish

#### Declaration [src]

    GdkTexture*
    webkit_favicon_database_get_favicon_finish (
      WebKitFaviconDatabase* database,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an operation started with webkit_favicon_database_get_favicon().

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to `webkit_favicon_database_get_favicon()`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkTexture`
| A new favicon image, or `NULL` in case of error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.